Loading...
Searching...
No Matches
cl::Sampler Class Reference

Class interface for cl_sampler. More...

`#include <opencl.hpp>`

Inheritance diagram for cl::Sampler:

## Public Member Functions

| Sampler ()
| Default constructor - initializes to nullptr.
| Sampler (const Context &context, cl_bool normalized_coords, cl_addressing_mode addressing_mode, cl_filter_mode filter_mode, cl_int *err=nullptr)
| Constructs a Sampler in a specified context.
| Sampler (const cl_sampler &sampler, bool retainObject=false)
| Constructor from cl_sampler - takes ownership.
Sampler & | operator= (const cl_sampler &rhs)
| Assignment operator from cl_sampler - takes ownership.
template<typename T>
cl_int | getInfo (cl_sampler_info name, T *param) const
| Wrapper for clGetSamplerInfo().
template<cl_sampler_info name>
detail::param_traits< detail::cl_sampler_info, name >::param_type | getInfo (cl_int *err=nullptr) const
| Wrapper for clGetSamplerInfo() that returns by value.
Public Member Functions inherited from cl::detail::Wrapper< cl_sampler >
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
const cl_type & | operator() () const
cl_type | get () const

## Additional Inherited Members

Public Types inherited from cl::detail::Wrapper< cl_sampler >
typedef cl_sampler | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_sampler >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_sampler >
cl_type | object_

## Detailed Description

Class interface for cl_sampler.

Note
  Copies of these objects are shallow, meaning that the copy will refer to the same underlying cl_sampler as the original. For details, see clRetainSampler() and clReleaseSampler().

See also
  cl_sampler

Definition at line 6009 of file opencl.hpp.

## Constructor & Destructor Documentation

## Sampler() [1/3]

cl::Sampler::Sampler | ( |  | ) |

inline

Default constructor - initializes to nullptr.

Definition at line 6013 of file opencl.hpp.

## Sampler() [2/3]

cl::Sampler::Sampler | ( | const Context & | context,
|  | cl_bool | normalized_coords,
|  | cl_addressing_mode | addressing_mode,
|  | cl_filter_mode | filter_mode,
|  | cl_int * | err = nullptr )

inline

Constructs a Sampler in a specified context.

Wraps clCreateSampler().

Definition at line 6019 of file opencl.hpp.

## Sampler() [3/3]

cl::Sampler::Sampler | ( | const cl_sampler & | sampler,
|  | bool | retainObject = false )

inline explicit

Constructor from cl_sampler - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions. This effectively transfers ownership of a refcount on the cl_sampler into the new Sampler object.

Definition at line 6066 of file opencl.hpp.

## Member Function Documentation

## getInfo() [1/2]

template<cl_sampler_info name>

detail::param_traits< detail::cl_sampler_info, name >::param_type cl::Sampler::getInfo | ( | cl_int * | err = nullptr | ) | const

inline

Wrapper for clGetSamplerInfo() that returns by value.

Definition at line 6094 of file opencl.hpp.

## getInfo() [2/2]

template<typename T>

cl_int cl::Sampler::getInfo | ( | cl_sampler_info | name,
|  | T * | param ) const

inline

Wrapper for clGetSamplerInfo().

Definition at line 6084 of file opencl.hpp.

## operator=()

Sampler & cl::Sampler::operator= | ( | const cl_sampler & | rhs | ) |

inline

Assignment operator from cl_sampler - takes ownership.

This effectively transfers ownership of a refcount on the rhs and calls clReleaseSampler() on the value previously held by this instance.

Definition at line 6074 of file opencl.hpp.

The documentation for this class was generated from the following file:

- opencl.hpp